clang-tools 6.0.0

Functions
add_new_check Namespace Reference

## Functions
def | adapt_cmake (module_path, check_name_camel)
def | write_header (module_path, module, check_name, check_name_camel)
def | write_implementation (module_path, module, check_name_camel)
def | adapt_module (module_path, module, check_name, check_name_camel)
def | add_release_notes (module_path, module, check_name)
def | write_test (module_path, module, check_name)
def | update_checks_list (clang_tidy_path)
def | write_docs (module_path, module, check_name)
def | main ()

## Function Documentation

## ◆ adapt_cmake()

def add_new_check.adapt_cmake | ( |  | module_path,
|  |  | check_name_camel
| ) |  |

Definition at line 19 of file add_new_check.py.

Referenced by main().

## ◆ adapt_module()

def add_new_check.adapt_module | ( |  | module_path,
|  |  | module,
|  |  | check_name,
|  |  | check_name_camel
| ) |  |

Definition at line 153 of file add_new_check.py.

Referenced by main().

## ◆ add_release_notes()

def add_new_check.add_release_notes | ( |  | module_path,
|  |  | module,
|  |  | check_name
| ) |  |

Definition at line 193 of file add_new_check.py.

Referenced by main().

## ◆ main()

def add_new_check.main | ( |  | ) |

Definition at line 302 of file add_new_check.py.

References adapt_cmake(), adapt_module(), add_release_notes(), clang::tidy::cppcoreguidelines.join(), update_checks_list(), write_docs(), write_header(), write_implementation(), and write_test().

## ◆ update_checks_list()

def add_new_check.update_checks_list | ( |  | clang_tidy_path | ) |

Definition at line 248 of file add_new_check.py.

Referenced by main().

## ◆ write_docs()

def add_new_check.write_docs | ( |  | module_path,
|  |  | module,
|  |  | check_name
| ) |  |

Definition at line 286 of file add_new_check.py.

Referenced by main().

## ◆ write_header()

def add_new_check.write_header | ( |  | module_path,
|  |  | module,
|  |  | check_name,
|  |  | check_name_camel
| ) |  |

Definition at line 48 of file add_new_check.py.

Referenced by main().

## ◆ write_implementation()

def add_new_check.write_implementation | ( |  | module_path,
|  |  | module,
|  |  | check_name_camel
| ) |  |

Definition at line 102 of file add_new_check.py.

Referenced by main().

## ◆ write_test()

def add_new_check.write_test | ( |  | module_path,
|  |  | module,
|  |  | check_name
| ) |  |

Definition at line 224 of file add_new_check.py.

Referenced by main().